jQuery 2.0发布,不支持IE 6/7/8

jQuery官方今天正式发布了jQuery 2.0版本。

clip_image002

该版本的主要变化如下:

· 不再支持IE 6/7/8,如果在IE9/10版本中使用“兼容性视图”模式也将会受到影响。

· 更加轻量,2.0版本文件与1.9.1相比小了12%。

· 模块化,你可以自定义构建一个更小、更轻量的版本。

· 兼容jQuery 1.9版本的API

如果你仍有大量目标用户在使用IE 6/7/8版本,你应该在项目中使用jQuery 1.9版本,或者期待即将在2个月内到来的1.10版本。
由于该版本变化较大,如果从1.9之前版本升级至该版本,建议使用jQuery迁移插件,并阅读jQuery 1.9 升级指南
详细信息:jQuery 2.0 Released
下载地址:

· jquery-2.0.0.min.js(用于生产)

· jquery-2.0.0.js(用于开发测试)

对于jQuery 2.0放弃支持IE 6/7/8,看官方怎么说的:jQuery官方答用户问(注意最后一条)
但问题是,IE6在诞生10年之后依然坚挺,尤其是在中国IE6的份额高居不下(25.8%),为全球之最。国内的Web开发者,你敢使用jQuery 2.0这个版本吗?

clip_image004

此条目发表在研发分类目录,贴了标签。将固定链接加入收藏夹。

发表评论